Cancel an order with an explicit refund decision
Cancels an order. Paid orders require a lab owner/admin to choose a full, partial, or no refund and provide a reason. Stripe direct-charge refunds are committed only after provider confirmation.
Cancels an order. Paid orders require a lab owner/admin to choose a full, partial, or no refund and provide a reason. Stripe direct-charge refunds are committed only after provider confirmation.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/orders/string/cancel" \ -H "Content-Type: application/json" \ -d '{ "idempotencyKey": "stringst", "reason": "string", "refundMode": "none" }'{ "message": "string", "refund": { "mode": "none", "status": "not_requested", "refundId": "string", "amount": "string", "currency": "string" }}{ "message": "string", "refund": { "mode": "none", "status": "not_requested", "refundId": "string", "amount": "string", "currency": "string" }}Empty
Empty
Empty
Empty
Empty
Empty
Empty